org.apache.storm.kafka.spout

## Class KafkaTuple

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<Object>
      - - org.apache.storm.tuple.Values
        - - org.apache.storm.kafka.spout.KafkaTuple

- All Implemented Interfaces:
    Serializable, Cloneable, Iterable<Object>, Collection<Object>, List<Object>, RandomAccess

      public class KafkaTuple
      extends Values

  A list of Values in a tuple that can be routed to a given stream. `RecordTranslator.apply(org.apache.kafka.clients.consumer.ConsumerRecord<K, V>)`

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KafkaTuple()`
    `KafkaTuple(Object... vals)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getStream()`
    `KafkaTuple` | `routedTo(String stream)` Sets the target stream of this Tuple.

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### KafkaTuple

          public KafkaTuple()

    - #### KafkaTuple

          public KafkaTuple(Object... vals)

  - ### Method Detail

    - #### routedTo

          public KafkaTuple routedTo(String stream)

      Sets the target stream of this Tuple.

      Parameters:
        `stream` - The target stream
      Returns:
        This

    - #### getStream

          public String getStream()

Copyright © 2021 The Apache Software Foundation. All rights reserved.